List video generation jobs
Lists video generation jobs for a specific provider. Results are paginated and can be filtered using query parameters.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Query Parameters
providerstring
Provider name (e.g., "openai", "gemini")
after?string
Cursor for pagination - ID of the last item from the previous page
limit?integer
Maximum number of results to return
Default
20Range
1 <= value <= 100order?string
Sort order by creation time
Default
"desc"Value in
"asc" | "desc"Response Body
curl -X GET "https://loading/{AI_GATEWAY_URL}/v1/videos?provider=string&after=string&limit=20&order=asc"{
"object": "list",
"data": [
{
"id": "string",
"object": "video",
"model": "string",
"status": "queued",
"progress": 100,
"prompt": "string",
"remixed_from_video_id": "string",
"seconds": "string",
"size": "string",
"created_at": 0,
"completed_at": 0,
"expires_at": 0,
"error": {
"code": "string",
"message": "string"
}
}
],
"first_id": "string",
"last_id": "string",
"has_more": true,
"extra_fields": {
"request_type": "string",
"provider": "openai",
"model_requested": "string",
"model_deployment": "string",
"latency": 0,
"chunk_index": 0,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "string",
"hit_type": "string",
"requested_provider": "string",
"requested_model": "string",
"provider_used": "string",
"model_used": "string",
"input_tokens": 0,
"threshold": 0,
"similarity": 0
}
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}